Bug 1012165 - Missing Requires on lua-json
Missing Requires on lua-json
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libquvi-scripts (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christopher Meng
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-25 17:24 EDT by Mohamed El Morabity
Modified: 2013-10-09 10:17 EDT (History)
1 user (show)

See Also:
Fixed In Version: libquvi-scripts-0.9.20130903-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 10:17:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mohamed El Morabity 2013-09-25 17:24:26 EDT
Some libquvi scripts require the LUA json library:

$ grep "require 'json'" /usr/share/libquvi-scripts/0.9/media/*.lua
/usr/share/libquvi-scripts/0.9/media/liveleak.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/sapo.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/sevenload.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/ted.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/theonion.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/tvlux.lua:  local J = require 'json'
/usr/share/libquvi-scripts/0.9/media/videa.lua:  local J = require 'json'

Without this library, the web sites handled by the scripts above don't work with quvi. Please add lua-json as Requires to libquvi-scripts. Notice It only concerns the 0.9 version (Fedora >=20).
Thanks in advance :)
Comment 1 Christopher Meng 2013-09-25 18:41:34 EDT
Thanks.

Sorry for the inconvenience!
Comment 2 Fedora Update System 2013-09-25 19:02:51 EDT
libquvi-scripts-0.9.20130903-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libquvi-scripts-0.9.20130903-1.fc20
Comment 3 Fedora Update System 2013-09-26 20:38:03 EDT
Package libquvi-scripts-0.9.20130903-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libquvi-scripts-0.9.20130903-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17700/libquvi-scripts-0.9.20130903-1.fc20
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-10-09 10:17:13 EDT
libquvi-scripts-0.9.20130903-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.